
Core - Bug # 46217

Status: Accepted Priority: Should have
Author: RVVN no-lastname-given Category: Workspaces
Created: 2013-03-12 Assigned To:
Updated: 2015-01-23 Due date:
TYPO3 Version: 4.7
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Notification emails not translated for default recipients
Description

Context class : Tx_Workspaces_ExtDirect_ActionHandler

getRecipientList(…) calls (Tx_Workspaces_Service_Stages)->getResponsibleBeUser to get the default recipients from the stage
configuration,
then sets lang info for each of those recipients using unserialized 'uc' field or 'lang' field.

Problem is that getResponsibleBeUser(…) only returns the following fields : 'username', 'uid', 'email', 'realName'.
So neither 'uc' nor 'lang' fields are available and lang information is NULL, resulting notification emails in default language.

Related issues:
related to Core - Bug # 62155: IRRE at localized records not working properly... Rejected 2014-10-10

History
#1 - 2013-06-12 16:38 - Oliver Hader
- Status changed from New to Accepted
- Priority changed from Must have to Should have

#2 - 2013-12-10 00:58 - Michael Stucki
- Category set to Workspaces

#3 - 2013-12-10 01:02 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

#4 - 2014-10-29 15:44 - Mansoor Ahmad

Similar issue is also in TYPO3 Version 6.2.6. 
The notification email is in default language, 
if the editor change the status "Ready to Publish" and send it to admin editor for review and publish.

#5 - 2015-01-23 11:33 - Mathias Schreiber
- Target version set to 7.5
